Subject: Re: Re (2): Where is an example of using webdavseamlessly...and version files?

From: "Charlie Smith" <[email-masked]>
Date: Tue, 23 Mar 2004 09:23:30 -0700

Wouldn't this type of functionality - prescribing menu items for saving - be
something each application vendor has to do.  IE.  Doesn't Billy Gates need to
add this feature to his File|Save As menu item in MS Word and ditto for Word
Perfect?    So, I guess another question would be - aren't we really dependent
on major word processor application vendors to implement a webdav solution,
before this seemless stuff will really happen?

>>> "Geoffrey M Clemm" <[email-masked]> 3/23/2004 8:53:54 AM >>>

I'd suggest just using "save" and "save as" to mean "save local"
and "save local as" and have "checkin" mean "save to the server
(and create a new version if the server supports versioning)".

Cheers,
Geoff

Edgar wrote on 03/22/2004 04:54:46 PM:

> Suppose I edit a WebDAV file with my application.
> - Now I want to save it. In a "normal" application I have "save" 
and"save as".
> - With a WebDAV file I guess I have "save local", "save on server", 
> "save local as"
>   and "save on server as".
> - I think "save local as" doesn't make that much sense and can be 
dropped.
> - This leaves me with three choices. One should be default and be called 
save.
> - So my idea is to have "save", "save WebDAV" and "save WebDAV as" which 
means
>   a simple "save" means saving local. This could be fine for people 
> with a slow
>   server connection.
> So do you think this sounds right for a user ?
> Would you prefer other names or choices for saving ?
> I know this isn't something the spec should say but nevertheless it 
> would be nice
> if users would have similar menu items for saving in their upcoming 
> WebDAV empowered
> applications. 
> BTW for versioning I have at the moment in a directory window the 
following
> menu items and subitems:
> - Version Do
>   - Checkin  (Which does a VERSION-CONTROL, BASELINE-CONTROL or 
> CHECKIN depending
>     on it's target)
>   - Uncheckout
>   - Checkout
>   - Update
> - Version Report
>   - Version (For a resource or a configuration)
>   - History (For a resource or a configuration)
>   - Baseline Compare
> Naturally most of these points also can be added to an editor menu. Also 
there
> could be one versioning menu.
> 
> Cheers, Edgar
>

---

From: "Charlie Smith" <[email-masked]>
Date: Tue, 23 Mar 2004 09:30:23 -0700

Seems to me there are two scenarios to look at here.  I'm probably covering old
ground for this forum but:
Scenario 1:   Save file starting from client application.    You'd have a
browse button or just type in the http address of the file.   Hit Save and your
done.
Scenario 2: Update file/Download file   invoked from server application.  
You'd again have a browse button to save the file.  In this respect having
WebDav is no different than not having WebDav - same number of steps required.

For Scenario 1: 'Save' and 'Save as' would point to the file on the Web Server,
if that is where the file came from.  And the versioning might be automatic.

>>> "Geoffrey M Clemm"  3/23/2004 8:53:54 AM >>>

Cheers,
Geoff

and"save as".
dropped.
save.
means
following
there